Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.net
Class Commands

    java.lang.Object
      de.grogra.imp.net.Commands

All Implemented Interfaces:
  MessageHandler

    public final class Commands

extends java.lang.Object
implements MessageHandler

Constructor Summary
`Commands(Workbench workbench)`

Method Summary
`static Connection` | `add(Context ctx)`
`static void` | `availableProcessors(Item item, java.lang.Object info, Context context)`
`static void` | `connectRemoteWorkbench(Item item, java.lang.Object info, Context context)`
`static SimpleResponseHandler` | `getAvailableProcessors(Connection cx)`
`static java.net.ServerSocket` | `getServerSocket(Context ctx, int defaultPort)`
`static java.net.Socket` | `getSocket(Context ctx, java.lang.String defaultAddress)`
`static SimpleResponseHandler` | `getVersion(Connection cx)`
`boolean` | `handleMessage(Connection cx, long messageId, java.lang.String message, boolean checkAvailability)`
`static void` | `openClientWorkbench(Item item, java.lang.Object info, Context context)`
`static void` | `sendMessage(Connection cx, java.lang.String msg)`
`static void` | `version(Item item, java.lang.Object info, Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Commands

    public Commands(Workbench workbench)

Method Detail

### add

    public static Connection add(Context ctx)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### availableProcessors

    public static void availableProcessors(Item item,
                                           java.lang.Object info,
                                           Context context)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### connectRemoteWorkbench

    public static void connectRemoteWorkbench(Item item,
                                              java.lang.Object info,
                                              Context context)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAvailableProcessors

    public static SimpleResponseHandler getAvailableProcessors(Connection cx)
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getServerSocket

    public static java.net.ServerSocket getServerSocket(Context ctx,
                                                        int defaultPort)

### getSocket

    public static java.net.Socket getSocket(Context ctx,
                                            java.lang.String defaultAddress)

### getVersion

    public static SimpleResponseHandler getVersion(Connection cx)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleMessage

    public boolean handleMessage(Connection cx,
                                 long messageId,
                                 java.lang.String message,
                                 boolean checkAvailability)
                          throws java.io.IOException

  Specified by:
    `handleMessage` in interface `MessageHandler`
  Throws:
    `java.io.IOException`

### openClientWorkbench

    public static void openClientWorkbench(Item item,
                                           java.lang.Object info,
                                           Context context)

### sendMessage

    public static void sendMessage(Connection cx,
                                   java.lang.String msg)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### version

    public static void version(Item item,
                               java.lang.Object info,
                               Context context)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD